El Foro

Unable to launch fresh install of PlayOnLinux (check_python fails)

Autor Respuestas
UnicornsOnLSD Tuesday 25 June 2019 at 17:28
UnicornsOnLSDAnonymous

I installed playonlinux from the Manjaro repo and it doesn't launch. Here is the terminal output:

~ >>> playonlinux                                                                                                                
Looking for python... 3.7.3 - skipped
Looking for python2.7... 2.7.16 - wxversion(s): 3.0-gtk3
Traceback (most recent call last):
  File "/usr/share/playonlinux/python/check_python.py", line 7, in <module>
    import wx
  File "/usr/lib64/python2.7/site-packages/wx-3.0-gtk3/wx/__init__.py", line 45, in <module>
    from wx._core import *
  File "/usr/lib64/python2.7/site-packages/wx-3.0-gtk3/wx/_core.py", line 4, in <module>
    import _core_
ImportError: /usr/lib/libwx_gtk3u_adv-3.0.so.0: file too short
failed tests
Looking for python2.6... which: no python2.6 in (/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/lib/jvm/default/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl)

Looking for python2... 2.7.16 - wxversion(s): 3.0-gtk3
Traceback (most recent call last):
  File "/usr/share/playonlinux/python/check_python.py", line 7, in <module>
    import wx
  File "/usr/lib64/python2.7/site-packages/wx-3.0-gtk3/wx/__init__.py", line 45, in <module>
    from wx._core import *
  File "/usr/lib64/python2.7/site-packages/wx-3.0-gtk3/wx/_core.py", line 4, in <module>
    import _core_
ImportError: /usr/lib/libwx_gtk3u_adv-3.0.so.0: file too short
failed tests
Please install python before trying to run this program
~ >>>

I have Python 3.7 and 2.7, can I run playonlinux?

Editado por: UnicornsOnLSD

Dadu042 Tuesday 25 June 2019 at 21:52
Dadu042
Moderator

What is your playonlinux version ?   You may download the latest from this website.